# coding: utf-8

require 'fileutils'
require 'thor'

module Raboot
  class CLI < Thor
    include Raboot::Version
    include Raboot::Utils
    include Thor::Actions

    map '-v' => :version
    map '--version' => :version

    desc 'version', 'Display the current version of raboot'
    def version
      say Raboot::Version::STRING
    end

    desc 'new', 'Generate a new Rails app from template'
    def new(name)
      if validate_name?(name)
        template_path = File.expand_path('~/.raboot/*')
        FileUtils.mkdir(name)
        FileUtils.cp_r(Dir.glob(template_path), name)
        rename_app(name)
        say 'Successfully generated ' + name + ' app from template'
      end
    end
  end
end
